/* This file is part of the KDE project

   Copyright (C) 2011 Ernesto Rodriguez <eortiz@uci,cu>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 3 of the License, or (at your option) any later version.
*/


#ifndef MMSTRANSFER_H
#define MMSTRANSFER_H

#include <kio/job.h>
#include "mmsthread.hpp"
#include "core/transfer.h"
#include <QTime>

class MmsTransfer : public Transfer
{
    Q_OBJECT

    public:
        MmsTransfer(TransferGroup * parent, TransferFactory * factory,
                    Scheduler * scheduler, const KUrl & src, const KUrl & dest,
                    const QDomElement * e = 0);

    public slots:
        // --- Job virtual functions ---
        void start();
        void stop();
	void init();
	void deinit();

    private slots:
        void slotResult();
	void slotTotalSize(qulonglong size);
        void slotProcessedSize(int size );
	void slotPercent();
        void slotSpeed();

    private:
        Mmsthread * m_mmsThread;
	mmsx_t* dmms;
	int cnthds;
	QTime time;
	QList<Mmsthread*> listaHilos;
};

#endif
