/* This file is part of the KDE project

   Copyright (C) 2011 Ernesto Rodriguez <eortiz@uci,cu>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 3 of the License, or (at your option) any later version.
*/


#include "mmsthread.hpp"

Mmsthread::Mmsthread(QString url, QString name, int ini, int fin)
  : QThread()
{
   this->m_url = url;
   this->fname = name;
   this->begin = ini;
   this->end = fin;
   this->stop = false;
}

void Mmsthread::run(){
    this->file.open(qstrdup(this->fname.toAscii()));
    this->dmms = mmsx_connect(NULL, NULL, qstrdup(this->m_url.toAscii()) , 1e9);
    this->file.seekp(this->begin);
    mmsx_seek(0, this->dmms, this->begin, 0);

    int var;
    qDebug() << "RUNNING: " << this->end;
    while (this->begin < this->end){
      
      if (stop) this->begin = this->end;
      
      if((this->begin+1024)>this->end){
        var = this->end - this->begin;
        char data[var];
        mmsx_read(0, this->dmms, data, var);
        this->locker.lock();
        this->file.write(data, var);
	emit reading(var);
        this->locker.unlock();
        this->begin = this->end;
      }
      else{
        char data[1024];
        mmsx_read(0, this->dmms, data, 1024);
        this->locker.lock();
        this->file.write(data, 1024);
	emit reading(1024);
        this->locker.unlock();
        this->begin += 1024;
      }
    }
    this->file.close();
    mmsx_close(this->dmms);
    qDebug() << "END: " << this->end;
    return;
}

