/* This file is part of the KDE project

   Copyright (C) 2011 Ernesto Rodriguez <eortiz@uci,cu>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 3 of the License, or (at your option) any later version.
*/


#ifndef MMSTHREAD_HPP
#define MMSTHREAD_HPP
#include <libmms/mmsx.h>
#include <fstream>
#include <QThread>
#include <QFile>
#include <QDataStream>
#include <QDebug>
#include <QMutex>

using namespace std;

class Mmsthread : public QThread
{
    Q_OBJECT
public:
    explicit Mmsthread(QString url, QString name, int ini, int fin);
    void run();
    bool stop;
    int end;

private:
    QString m_url;
    QString fname;
    int begin;
    //int end;
    ofstream file;
    mmsx_t* dmms;
    QMutex locker;
    
signals:
    int reading(int data);
};

#endif // MMSTHREAD_HPP
